/************************************************************************
*************************************************************************
*************************************************************************
*			Tcnicas Grficas				*
*		Centro Superior de Informtica, ULL			*
*	3 de Ingeniera Tcnica en Informtica de Sistemas		*
*									*
*									*
*									*
*Prctica N	1							*
*Objetivo	Inicializacin de ventanas y contextos de generacin 	*
*		OpenGL. Trabajo con la librera glut			*
*Profesora: 	Isabel Snchez Berriel isanchez@ull.es			*
*************************************************************************
*************************************************************************
*************************************************************************/


#include<./glut.h>

static float anchov = 300, altov = 300;



/***********************************************************************
	Inicializacin del volumen de vista
************************************************************************/
void initVolumen(long int width,long int height){
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glViewport(0, 0, width, height); //Dimensiones del puerto de vista
	glOrtho(-10,		//Coordenada izquierda
		10,		//Coordenada derecha
		-10,		//Coordenada inferior
		10,		//Coordenada superior
		100.0,		//Distancia de la posicin de la cmara al plano cerca.
		2500.0);	//Distancia de la posicin de la cmara al plano lejos.
}

/***********************************************************************
	Funcin Render
***********************************************************************/
void Render(int boton){
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	glColor3f(1.0, 0.0, 1.0);
	glTranslatef(0.0, 0.0, -200.0);
	glutSolidSphere(2.0, 20, 20);
	glFlush();
}

/***********************************************************************
	Funciones callback
************************************************************************/


void miDisplay(int boton){
	initVolumen(anchov, altov);
	glClearColor(0.0, 0.0, 1.0, 1.0);
	glClear(GL_COLOR_BUFFER_BIT);
	Render(boton);
}



int main(int argc, char **argv){



/***********************************************************************
	Inicializacin de GLUT
************************************************************************/
	glutInit(&argc, argv);
	glutInitWindowPosition(5, 5);
	glutInitWindowSize(anchov, altov);
	glutCreateWindow("Se ve algo?");

/***********************************************************************
	Registro de funciones callback
************************************************************************/

	glutDisplayFunc(miDisplay); //Registra la funcin midisplay asociada al evento de mostrar



/***********************************************************************
	Iniciar el bucle de eventos.
************************************************************************/

	glutMainLoop();

	return 0;
}


